Added

Version 1.36.0

Third Party API (v 1.36.0)


What's New


GET /api/business/{businessId}/time-off-policy

List time off policies

GET /api/business/{businessId}/time-off-policy/{timeOffPolicyId}

Get a time off policy

What's Changed


GET /api/business/{businessId}/branch/{branchId}/worktimetable
Return Type:

Changed response : 200 OK

Specified timetable retrieved

  • Changed content type : application/json

    • Changed property timeSlots (array)

      Changed items (object):

      • Added property timeOffPolicyId (string)

        Id of the time off policy this time off was rostered against. See the time off policy endpoints. Null when no time off policy was selected

GET /api/business/{businessId}/branch/{branchId}/staff/worktimetable
Return Type:

Changed response : 200 OK

Staff timetables listed

  • Changed content type : application/json

    • Changed property _embedded (object)

      • Changed property workTimeTables (array)

        Changed items (object):

        • Changed property timeSlots (array)

          Changed items (object):

          • Added property timeOffPolicyId (string)

            Id of the time off policy this time off was rostered against. See the time off policy endpoints. Null when no time off policy was selected

Result


API changes are backward compatible